[arch-commits] CVS update of extra/lib/pyvorbis (PKGBUILD pyogg-ticket2-fix.patch)

Jan de Groot jgc at archlinux.org
Wed May 16 21:53:41 UTC 2007


    Date: Wednesday, May 16, 2007 @ 17:53:41
  Author: jgc
    Path: /home/cvs-extra/extra/lib/pyvorbis

   Added: pyogg-ticket2-fix.patch (1.1)
Modified: PKGBUILD (1.5 -> 1.6)

upgpkg: pyvorbis 1.4-3
Fix double free in pyvorbis


-------------------------+
 PKGBUILD                |   13 +++++++------
 pyogg-ticket2-fix.patch |   27 +++++++++++++++++++++++++++
 2 files changed, 34 insertions(+), 6 deletions(-)


Index: extra/lib/pyvorbis/PKGBUILD
diff -u extra/lib/pyvorbis/PKGBUILD:1.5 extra/lib/pyvorbis/PKGBUILD:1.6
--- extra/lib/pyvorbis/PKGBUILD:1.5	Tue Mar 13 14:13:59 2007
+++ extra/lib/pyvorbis/PKGBUILD	Wed May 16 17:53:41 2007
@@ -1,8 +1,8 @@
-# $Id: PKGBUILD,v 1.5 2007/03/13 18:13:59 jgc Exp $
+# $Id: PKGBUILD,v 1.6 2007/05/16 21:53:41 jgc Exp $
 # Maintainer: Jason Chu <jason at archlinux.org>
 pkgname=pyvorbis
 pkgver=1.4
-pkgrel=2
+pkgrel=3
 pkgdesc="Python vorbis wrapper library"
 arch=(i686 x86_64)
 license=('LGPL')
@@ -12,15 +12,16 @@
 backup=()
 install=
 source=(http://ekyo.nerim.net/software/pyogg/${pkgname}-${pkgver}.tar.gz
-	pyvorbis-1.4-python2.5.patch)
+	pyvorbis-1.4-python2.5.patch
+	pyogg-ticket2-fix.patch)
 md5sums=('b4921e792c0a74f75b9d3057df10ee7c'
-	  'f971a6f0ebb6cb7fe00dfc1f778b2d0d')
-sha1sums=('df83fa823186d4a1b8586037c995c1d73eb91720'
-	  '38bc97f380d10a386a0eb79786d1ad2ae8d7ae70')
+	  'f971a6f0ebb6cb7fe00dfc1f778b2d0d'
+	  '3547bba78916ef9030bff6fe67194714')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
   patch -Np0 -i ${startdir}/src/pyvorbis-1.4-python2.5.patch || return 1
+  patch -Np0 -i ${startdir}/src/pyogg-ticket2-fix.patch || return 1
   ./config_unix.py --prefix=/usr
   python setup.py install --root=${startdir}/pkg
 }
Index: extra/lib/pyvorbis/pyogg-ticket2-fix.patch
diff -u /dev/null extra/lib/pyvorbis/pyogg-ticket2-fix.patch:1.1
--- /dev/null	Wed May 16 17:53:41 2007
+++ extra/lib/pyvorbis/pyogg-ticket2-fix.patch	Wed May 16 17:53:41 2007
@@ -0,0 +1,27 @@
+--- src/pyvorbisfile.c	2007-05-14 22:41:05.000000000 +0400
++++ src/pyvorbisfile.c.new	2007-05-14 22:45:20.000000000 +0400
+@@ -173,9 +173,7 @@
+   if (ret == NULL) {
+     PyObject_Del(newobj);
+     return NULL;
+-  } else
+-    Py_DECREF(ret);
+-
++  }
+   return (PyObject *) newobj;
+ }
+ 
+@@ -191,10 +189,10 @@
+        close */
+     Py_DECREF(py_self->py_file);
+   } else {
+-    /* Otherwise, we opened the file and should close it. */
+-    fclose(py_self->c_file);
++    /* Do NOT close the file -- ov_open() takes ownership of the FILE*,
++       and ov_close() is responsible for closing it. */
+   }
+-
++  free(py_self->ovf);
+   PyObject_Del(self);
+ }
+ 




More information about the arch-commits mailing list